"use strict";

const createError = require("error-chain").create;
const defaultValue = require("default-value");

module.exports =  createError("EndOfStream", {
	populate: (message) => {
		return { message: defaultValue(message, "There is no more data to read") };
	},
	context: {
		_promistreamIsEndOfStreamMarker: true,
		_promistreamVersion: 1
	}
});
